L2PING(8)

NAME
l2ping - send L2CAP ECHO_REQUEST to remote devices

SYNOPSIS
l2ping [-fhn] -a remote [-c count] [-i wait] [-S source] [-s size]

DESCRIPTION
The l2ping utility uses L2CAP ECHO_REQUEST datagram to elicit an L2CAP ECHO_RESPONSE datagram from a remote device.

The options are as follows:

-a remote
    Specify the remote device to ping. The remote device can be specified by either its BD_ADDR or name. If name was specified then the l2ping utility will attempt to resolve the name via bt_gethostbyname(3).

-c count
    Number of packets to send. If this option is not specified, l2ping will operate until interrupted.

-f  Don't wait between sending each packet.

-h  Display usage message and exit.

-i wait
    Wait wait seconds between sending each packet. The default is to wait for one second between each packet. This option is ignored if -f has been specified.

-n  Numeric output only. No attempt will be made to look up symbolic names for host addresses.

-S source
    Specify the local device which should be used to send L2CAP ECHO_REQUEST datagrams. The local device can be specified by either its BD_ADDR or name. If name was specified then the l2ping utility will attempt to resolve the name via bt_gethostbyname(3).

-s size
    Specify the number of payload bytes to be sent. The default size is 44 bytes. It is calculated as minimum L2CAP MTU (48 bytes) minus the size of the L2CAP signalling command header (4 bytes). The maximum size is 65531 bytes. Is is calculated as maximum L2CAP MTU (65535 bytes) minus four bytes of payload reserved for l2ping internal use. Use this option with caution. Some implementations may not like large sizes and may hang or even crash.

EXIT STATUS

SEE ALSO
bluetooth(3), netgraph(3), netgraph(4), ng_l2cap(4), l2control(8)

AUTHORS
Maksim Yevmenkin <emax@FreeBSD.org>

BUGS
Could collect more statistic. Could check for duplicated, corrupted and lost packets.